"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const logger_1 = require("./logger");
let queue = [];
function debugLog(message, ...meta) {
    if (process.env.DEBUG !== undefined) {
        queue.push({
            message,
            meta
        });
    }
}
exports.debugLog = debugLog;
function printLogs() {
    if (process.env.DEBUG !== undefined) {
        queue.forEach(log => {
            logger_1.getLogger().info(log.message, ...log.meta);
        });
        resetLogs();
    }
}
exports.printLogs = printLogs;
function resetLogs() {
    queue = [];
}
exports.resetLogs = resetLogs;
//# sourceMappingURL=debugging.js.map